import request from '/@/utils/request';

export function personApi() {
	return {
		getPersonByList: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/selectPersonPage',
				method: 'post',
				data: params
			});
		},

		addPerson: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/insert/insertPerson',
				method: 'post',
				data: params
			});
		},

		modPerson: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/update/updatePerson',
				method: 'post',
				data: params
			});
		},

		deletePersonById: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/delete/deletePerson',
				method: 'post',
				data: params
			});
		},

		getAllPerson: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listPerson',
				method: 'get',
			});
		},
	};
}
